Authorize (OAuth 2.0 + PKCE)

Starts the OAuth 2.0 Authorization Code flow. Redirects the user's browser to the login/consent UI and, if approved, back to the client's redirect_uri with an authorization code. Supports PKCE.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required

Must be code for the Authorization Code flow.

Allowed:
string
required

The client identifier issued to the app.

uri

One of the app's registered redirect URIs. REQUIRED if it was included during the initial authorization request registration.

string

Space-delimited scopes being requested.

string

Opaque value to maintain state between the request and callback. Returned unchanged to the redirect_uri.

string

PKCE code challenge derived from the code_verifier. REQUIRED for public clients and recommended for all clients.

string
enum
Defaults to S256

The method used to derive code_challenge (recommended S256).

Allowed:
Responses

400

Invalid request (e.g., missing/invalid parameters).

401

Client is unauthorized for this request.

500

Server error

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*